## ros-indigo-gazebo-ros 2.4.16

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(gazebo_ros)

find_package(catkin REQUIRED COMPONENTS
  cmake_modules
  roslib
  roscpp
  geometry_msgs
  std_srvs
  tf
  rosgraph_msgs
  dynamic_reconfigure
  message_generation
  std_msgs
  gazebo_msgs
)

include (FindPkgConfig)
if (PKG_CONFIG_FOUND)
  pkg_check_modules(XML libxml-2.0)
else()
  message(FATAL_ERROR "pkg-config is required; please install it")
endif()

# Depend on system install of Gazebo
find_package(gazebo REQUIRED)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${GAZEBO_CXX_FLAGS}")

find_package(Boost REQUIRED COMPONENTS thread)

find_package(TinyXML REQUIRED)

catkin_python_setup()

generate_dynamic_reconfigure_options(cfg/Physics.cfg)

catkin_package(
  LIBRARIES
  gazebo_ros_api_plugin
  gazebo_ros_paths_plugin

  CATKIN_DEPENDS
  roslib
  roscpp
  geometry_msgs
  std_srvs
  tf
  rosgraph_msgs
  dynamic_reconfigure
  message_generation
  std_msgs
  gazebo_msgs

  DEPENDS
    TinyXML
)

include_directories(
  include
  ${Boost_INCLUDE_DIRS}
  ${catkin_INCLUDE_DIRS}
  ${GAZEBO_INCLUDE_DIRS}
  ${SDFormat_INCLUDE_DIRS}
  ${TinyXML_INCLUDE_DIRS})

link_directories(${catkin_LIBRARY_DIRS})

set(cxx_flags)
foreach (item ${GAZEBO_CFLAGS})
  set(cxx_flags "${cxx_flags} ${item}")
endforeach ()

set(ld_flags)
foreach (item ${GAZEBO_LDFLAGS})
  set(ld_flags "${ld_flags} ${item}")
endforeach ()

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${GAZEBO_CXX_FLAGS}")

## Plugins
add_library(gazebo_ros_api_plugin src/gazebo_ros_api_plugin.cpp)
add_dependencies(gazebo_ros_api_plugin ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
set_target_properties(gazebo_ros_api_plugin PROPERTIES LINK_FLAGS "${ld_flags}")
set_target_properties(gazebo_ros_api_plugin PROPERTIES COMPILE_FLAGS "${cxx_flags}")
target_link_libraries(gazebo_ros_api_plugin ${GAZEBO_LIBRARIES} ${SDFormat_LIBRARIES} ${catkin_LIBRARIES} ${Boost_LIBRARIES} ${TinyXML_LIBRARIES})

add_library(gazebo_ros_paths_plugin src/gazebo_ros_paths_plugin.cpp)
add_dependencies(gazebo_ros_paths_plugin ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
set_target_properties(gazebo_ros_paths_plugin PROPERTIES COMPILE_FLAGS "${cxx_flags}")
set_target_properties(gazebo_ros_paths_plugin PROPERTIES LINK_FLAGS "${ld_flags}")
target_link_libraries(gazebo_ros_paths_plugin ${GAZEBO_LIBRARIES} ${SDFormat_LIBRARIES} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

# Install Gazebo System Plugins
install(TARGETS gazebo_ros_api_plugin gazebo_ros_paths_plugin
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  )

# Install Gazebo Scripts
install(PROGRAMS scripts/gazebo scripts/debug scripts/gzclient scripts/gzserver scripts/gdbrun scripts/perf scripts/spawn_model
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  )

# Install Gazebo launch files
install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
  )

=== debian/changelog ===
ros-indigo-gazebo-ros (2.4.16-1trusty) trusty; urgency=high

  * gazebo_ros_api_plugin: improve plugin xml parsing (#731 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/731>)
    An xml comment that start with plugin causes a seg-fault:
    <!--plugin-->
    or
    <!--plugin filename="lib.so"/-->
    This fixes the xml parsing to not try to add child elements
    to xml comments.
  * Contributors: Jose Luis Rivero

 -- John Hsu <hsu@osrfoundation.org>  Sun, 03 Jun 2018 22:00:00 -0000

ros-indigo-gazebo-ros (2.4.15-1trusty) trusty; urgency=high

  * Fix build (#600 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/600>)
    This reverts commit 3f12a2ec3c4e0d91541bd533a0d6290d9d4d0558.
  * Contributors: Jose Luis Rivero

 -- John Hsu <hsu@osrfoundation.org>  Tue, 08 Aug 2017 22:00:00 -0000

ros-indigo-gazebo-ros (2.4.14-1trusty) trusty; urgency=high

  * fixed conflicts
  * Contributors: Jose Luis Rivero

 -- John Hsu <hsu@osrfoundation.org>  Fri, 23 Jun 2017 22:00:00 -0000

ros-indigo-gazebo-ros (2.4.13-1trusty) trusty; urgency=high



 -- John Hsu <hsu@osrfoundation.org>  Mon, 27 Feb 2017 23:00:00 -0000

ros-indigo-gazebo-ros (2.4.12-1trusty) trusty; urgency=high

  * Fixed getLinkState service's angular velocity return
  * Contributors: Jared

 -- John Hsu <hsu@osrfoundation.org>  Sat, 26 Nov 2016 23:00:00 -0000

ros-indigo-gazebo-ros (2.4.11-1trusty) trusty; urgency=high

  * GAZEBO_MASTER_URI is loaded from setup.sh if empty in environment.
  * Honor GAZEBO_MASTER_URI for gzserver.
  * Honor GAZEBO_MASTER_URI for gzclient.
  * Fix string replacement to look for mesh filename surrounded by single or double quotes. Also do not replace unless there are two slashes after package
  * Merge pull request #423 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/423> from furushchev/fix-include
    [gazebo_ros] fix include path
  * Include {PROJECT_NAME}_EXPORTED_TARGETS into dependencies for dynamic reconfiguration
  * [gazebo_ros] put header file to standard catkin include path
  * Add rostest to accompany range plugin world
  * Follow ROS documentation and depend on catkin_EXPORTED_TARGETS
  * Remove all references to gazebo_msgs_gencpp (ghost)
  * missing link_directories()
  * add option to change package:// to model:// when loading urdf file
  * Contributors: Bence Magyar, John Hsu, Jose Luis Rivero, Kei Okada, Martin Pecka, Steven Peters, Yuki Furuta

 -- John Hsu <hsu@osrfoundation.org>  Wed, 13 Jul 2016 22:00:00 -0000

ros-indigo-gazebo-ros (2.4.10-1trusty) trusty; urgency=high

  * Fix invalid signal name on OS X
    scripts/gazebo: line 30: kill: SIGINT: invalid signal specification
  * Restart package resolving from last position, do not start all over.
  * Contributors: Boris Gromov, Guillaume Walck

 -- John Hsu <hsu@osrfoundation.org>  Wed, 24 Feb 2016 23:00:00 -0000

ros-indigo-gazebo-ros (2.4.9-1trusty) trusty; urgency=high

  * Import changes from jade-branch
  * Add range world and launch file
  * fix crash
  * Set GAZEBO_CXX_FLAGS to fix c++11 compilation errors
  * Contributors: Bence Magyar, Ian Chen, Jose Luis Rivero, Steven Peters

 -- John Hsu <hsu@osrfoundation.org>  Sat, 15 Aug 2015 22:00:00 -0000

ros-indigo-gazebo-ros (2.4.8-1trusty) trusty; urgency=high

  * Specify physics engine in args to empty_world.launch
  * Contributors: Steven Peters

 -- John Hsu <hsu@osrfoundation.org>  Mon, 16 Mar 2015 23:00:00 -0000

ros-indigo-gazebo-ros (2.4.7-1trusty) trusty; urgency=high

  * temporary hack to **fix** the -J joint position option (issue #93 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/93>), sleeping for 1 second to avoid race condition. this branch should only be used for debugging, merge only as a last resort.
  * Fixing set model state method and test
  * Extended the fix for #246 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/246> also to debug, gazebo, gzclient and perf scripts.
  * Update Gazebo/ROS tutorial URL
  * [gazebo_ros] Fix for #246 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/246>
    Fixing issue #246 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/246> in gzserver.
  * Fixing handling of non-world frame velocities in setModelState.
  * update headers to apache 2.0 license
  * update headers to apache 2.0 license
  * Contributors: John Hsu, Jose Luis Rivero, Martin Pecka, Tom Moore, ayrton04

 -- John Hsu <hsu@osrfoundation.org>  Sun, 14 Dec 2014 23:00:00 -0000

ros-indigo-gazebo-ros (2.4.6-1trusty) trusty; urgency=high

  * Merge pull request #232 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/232> from ros-simulation/fix_get_physics_properties_non_ode
    Fix get physics properties non ode
  * Merge pull request #183 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/183> from ros-simulation/issue_182
    Fix STL iterator errors, misc. cppcheck (#182 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/182>)
  * check physics engine type before calling set_physics_properties and get_physics_properteis
  * check physics engine type before calling set_physics_properties and get_physics_properteis
  * Fixes for calling GetParam() with different physic engines.
  * 2.3.6
  * Update changelogs for the upcoming release
  * Fixed boost any cast
  * Removed a few warnings
  * Update for hydro + gazebo 1.9
  * Fix build with gazebo4 and indigo
  * Fix STL iterator errors, misc. cppcheck (#182 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/182>)
    There were some errors in STL iterators.
    Initialized values of member variables in constructor.
    Removed an unused variable (model_name).
  * Contributors: Carlos Agüero, John Hsu, Jose Luis Rivero, Nate Koenig, Steven Peters, hsu, osrf

 -- John Hsu <hsu@osrfoundation.org>  Sun, 31 Aug 2014 22:00:00 -0000

ros-indigo-gazebo-ros (2.4.5-1trusty) trusty; urgency=high

  * Port fix_build branch for indigo-devel
    See pull request #221 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/221>


=== debian/control ===
Source: ros-indigo-gazebo-ros
Section: misc
Priority: extra
Maintainer: John Hsu <hsu@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), gazebo2, libtinyxml-dev, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-dynamic-reconfigure, ros-indigo-gazebo-msgs, ros-indigo-geometry-msgs, ros-indigo-message-generation, ros-indigo-roscpp, ros-indigo-rosgraph-msgs, ros-indigo-roslib, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-tf
Homepage: http://gazebosim.org/tutorials?cat=connect_ros
Standards-Version: 3.9.2

Package: ros-indigo-gazebo-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gazebo2, libtinyxml-dev, ros-indigo-dynamic-reconfigure, ros-indigo-gazebo-msgs, ros-indigo-geometry-msgs, ros-indigo-message-generation, ros-indigo-roscpp, ros-indigo-rosgraph-msgs, ros-indigo-roslib, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-tf
Description: Provides ROS plugins that offer message and service publishers for interfacing with Gazebo through ROS.
 Formally simulator_gazebo/gazebo

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-gazebo-ros//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
